% Abort left over jobs.
MPI_Abort;
pause(2.0);

% Delete left over MPI directory
MatMPI_Delete_all;
pause(2.0);

% Define machines, empty means run locally.
%machines = {};
% make sure that the first machine is exactly what the local hostname
% command returns (e.g. cluster14.ai, not cluster14 or cluster14.cs)
%[junk,hostname] = system('hostname');
%machines = {hostname(1:end-1),'cluster19.ai'};
machines = {'boltzmann.ai', 'cluster17.ai', 'cluster19.ai', 'cluster20.ai', ...
            'cluster21.ai', 'cluster23.ai'};
for ii = 1:length(machines)
    machines{ii} = [machines{ii} ':unix:/w/200/dross'];
end
machines

% Define machines for Group 102 cluster.
%machines = {'node-a:/gigabit/node-a/kepner' ...
%            'node-b:/gigabit/node-b/kepner' ...
%            'node-c:/gigabit/node-c/kepner' ...
%            'node-d:/gigabit/node-d/kepner' ...
%            'node-e:/gigabit/node-e/kepner' ...
%            'node-f:/gigabit/node-f/kepner' ...
%            'node-g:/gigabit/node-g/kepner' ...
%            'node-h:/gigabit/node-h/kepner'};

% Example scripts.
% eval( MPI_Run('xbasic',     2,machines) );
%eval( MPI_Run('basictt',      2,machines) );
% eval( MPI_Run('multi_basic',2,machines) );
% eval( MPI_Run('probe',      2,machines) );
eval( MPI_Run('speedtest',  2,machines) )
% eval( MPI_Run('basic_app',  2,machines) );
% eval( MPI_Run('broadcast',  2,machines) );
% eval( MPI_Run('blurimage',  10, machines) );
% eval( MPI_Run('basic_app2',  2,machines) );
% eval( MPI_Run('basic_app3',  2,machines) );
% eval( MPI_Run('basic_app4',  2,machines) );


